unit FormInput;

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormInput }

  TFormInput = class(TForm)
    Label1: TLabel;
    MemoInput: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure MemoInputKeyPress(Sender: TObject; var Key: char);
  end;


implementation

{$R *.lfm}

uses
  Core, TargetInterpretter;

procedure TFormInput.MemoInputKeyPress(Sender: TObject; var Key: char);
begin
  if Core.Core.CurrentTarget is TTargetInterpretter then
  with TTargetInterpretter(Core.Core.CurrentTarget) do
    Input := Input + Key;
end;

procedure TFormInput.FormCreate(Sender: TObject);
begin
  Core.Core.Translator.TranslateComponentRecursive(Self);
  Core.Core.ThemeManager.UseTheme(Self);
end;

end.

