unit FormMessages;

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  ComCtrls;

type

  { TFormMessages }

  TFormMessages = class(TForm)
    ListView1: TListView;
    procedure FormCreate(Sender: TObject);
    procedure ListView1Data(Sender: TObject; Item: TListItem);
  public
    procedure Reload;
  end;


implementation

{$R *.lfm}

uses
  Core, Target;

{ TFormMessages }

procedure TFormMessages.ListView1Data(Sender: TObject; Item: TListItem);
begin
  with Core.Core do
  if (Item.Index >= 0) and (Item.Index < Messages.Count) then
  with Messages[Item.Index] do begin
    Item.Caption := Text;
    Item.Data := Messages[Item.Index];
  end;
end;

procedure TFormMessages.FormCreate(Sender: TObject);
begin
  Core.Core.Translator.TranslateComponentRecursive(Self);
  Core.Core.ThemeManager.UseTheme(Self);
end;

procedure TFormMessages.Reload;
begin
  ListView1.Items.Count := Core.Core.Messages.Count;
  ListView1.Refresh;
end;

end.

