program LazFuck;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}//{$IFDEF UseCThreads}
  cthreads, clocale,
  //{$ENDIF}
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, Target, FormCPU, FormMain, FormOutput, FormInput, FormMemory,
  FormMessages, FormSourceCode, FormTargetCode, Core, Common,
  SysUtils, BFCodeTools;

{$R *.res}

{$if declared(UseHeapTrace)}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}


begin
  {$if declared(UseHeapTrace)}
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Scaled:=True;
  Application.Title:='LazFuck IDE';
  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TCore, Core.Core);
  Application.Run;
end.

