unit Project;

interface

uses
  Classes, SysUtils, fgl;

type
  TProjectItem = class
    Name: string;
  end;

  TProjectItems = class(TFPGObjectList<TProjectItem>)
  end;

  TProjectFile = class(TProjectItem)
  end;

  TProjectDirectory = class(TProjectItem)
  end;

  { TProject }

  TProject = class
  private
    FOpenned: Boolean;
    procedure SetOpenned(AValue: Boolean);
  public
    Items: TProjectItems;
    Modified: Boolean;
    FileName: string;
    constructor Create;
    destructor Destroy; override;
    property Openned: Boolean read FOpenned write SetOpenned;
  end;

const
  LazFuckProjectExt = '.lfp';


implementation

{ TProject }

procedure TProject.SetOpenned(AValue: Boolean);
begin
  if FOpenned = AValue then Exit;
  FOpenned := AValue;
  if AValue then begin
    Modified := False;
  end else begin
    FileName := '';
  end;
end;

constructor TProject.Create;
begin
  Items := TProjectItems.Create;
end;

destructor TProject.Destroy;
begin
  FreeAndNil(Items);
  inherited;
end;

end.

